Skip to content

Find one post by key or slug (+locale), or list the most recently changed posts.

GET
/apps/blog/posts
curl --request GET \
--url https://your-store.myciqra.com/apps/blog/posts \
--header 'Authorization: Bearer <token>'

Required scope: read_blogs — an installation token without it receives 403.

slug
string
locale
string
key
string
limit
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/

OK

Media typeapplication/json
object
bannerImageKey
required
null | string
baseSlug
required
string
categoryIds
required
Array<string>
coverImageKey
required
null | string
defaultLocale
required
string
editions
required
Array<object>
object
bannerImageKey
required
null | string
coverImageKey
required
null | string
excerpt
required
null | string
hasBody
required
boolean
locale
required
string
metaDescription
required
null | string
metaTitle
required
null | string
publishedAt
required
null | string format: date-time
slug
required
null | string
title
required
null | string
excerpt
required
null | string
id
required
string format: uuid
metaDescription
required
null | string
metaTitle
required
null | string
publishedAt
required
null | string format: date-time
status
required
string
tagIds
required
Array<string>
title
required
string
Examplegenerated
{
"bannerImageKey": "example",
"baseSlug": "example",
"categoryIds": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"coverImageKey": "example",
"defaultLocale": "example",
"editions": [
{
"bannerImageKey": "example",
"coverImageKey": "example",
"excerpt": "example",
"hasBody": true,
"locale": "example",
"metaDescription": "example",
"metaTitle": "example",
"publishedAt": "2026-04-15T12:00:00Z",
"slug": "example",
"title": "example"
}
],
"excerpt": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"metaDescription": "example",
"metaTitle": "example",
"publishedAt": "2026-04-15T12:00:00Z",
"status": "example",
"tagIds": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"title": "example"
}

Not Found

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}